<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="(loading$ | async) ?? false as loading">
  <ng-container *ngLet="(contractIdentities$ | async) ?? [] as contractIdentities">
    <app-contracts-list
      [contractIdentities]="contractIdentities"
      [selectable]="contractIdentities.length > 0"
      (onSelectionChange)="onSelectionChange($event)"
      (onDownloadChunkOfIdentities)="onDownloadChunkOfIdentities($event)"
      emptyMessage="No active contracts"
    >
      <ng-template #options let-contract>
        <app-spinner *ngIf="loading" [size]="16"></app-spinner>
        <app-active-contract-actions *ngIf="!loading && contract" [contract]="contract"></app-active-contract-actions>
      </ng-template>
      <ng-template #selectionAction>
        <p-button
          *ngIf="selectedContracts.length > 0"
          [link]="true"
          [label]="label"
          [loading]="loading"
          (onClick)="revokeSelection()"
          size="small"
          severity="danger"
          icon="fa fa-trash-can"
        ></p-button>
      </ng-template>
    </app-contracts-list>
  </ng-container>
</ng-container>
